Cannot use Xcode 3 for workspace. Please either specify a path to the project or change Xcode version.

I'm getting an error when i'm try to use workspace in Temacity. "Cannot use Xcode 3 for workspace. Please either specify a path to the project or change Xcode version." How do i change Xcode version or specify a path to the project if its already in the right path? or what should i do? Please help.

team.png

but i does work for project. I tried to do Check/reparse. Same thing. It works fine when i choose xcodeproj, but i need workspace because its include cocoa pods files.

.png

I have open discussion going on http://stackoverflow.com/questions/25628242/teamcity-and-xcode-cannot-use-xcode-for-workspace

Any help would be appreciated.

1 comment
Comment actions Permalink

Hi,

You should use scheme-based build with .xcworkspace. The error message has been already improved.
Also I've created an issue, please watch/vote for it.

0

Please sign in to leave a comment.